Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153230 - [OOo][gcj] JNIEnv::FindClass("[B") fails
Summary: [OOo][gcj] JNIEnv::FindClass("[B") fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 153231
TreeView+ depends on / blocked
 
Reported: 2005-04-03 18:30 UTC by Caolan McNamara
Modified: 2014-08-11 05:46 UTC (History)
2 users (show)

Fixed In Version: 4.0.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 09:59:08 UTC


Attachments (Terms of Use)
sample code (deleted)
2005-04-03 18:31 UTC, Caolan McNamara
no flags Details

Description Caolan McNamara 2005-04-03 18:30:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050330

Description of problem:
The following attached program runs sun java, but not under gcj. It's a portion of what db-4.2.52 wants to do in its java bindings. OOo 1.9.90 uses db4 now.

Version-Release number of selected component (if applicable):
gcc-4.0.0-0.38

How reproducible:
Always

Steps to Reproduce:
1. compile and run attachment


Actual Results:  failure to find bytearray
java.lang.ClassNotFoundException: [B not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:./], parent=gnu.gcj.runtime.VMClassLoader{urls=[core:/], parent=null}}
   at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__libc_start_main (/lib/tls/libc-2.3.4.so)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)

Expected Results:  success

Additional info:

It wants to get a jclass for a byte array

Comment 1 Caolan McNamara 2005-04-03 18:31:28 UTC
Created attachment 112637 [details]
sample code

Comment 2 Caolan McNamara 2005-04-05 18:45:01 UTC
btw if there is a quick and dirty workaround let me know as we can't build
1.9.90 at the moment.

Comment 3 Tom Tromey 2005-04-06 22:36:33 UTC
I'm checking in a fix for this to the gcc 4.0 branch.


Comment 4 Caolan McNamara 2005-04-13 20:12:50 UTC
I wonder if the fix for this has any relation to the regression of rh#154725# ?


Note You need to log in before you can comment on or make changes to this bug.